Subject: [PATCH] ARM: OMAP2+: gpmc-smsc911x: add required smsc911x regulators

From: [email-masked] (Tony Lindgren)
Date: Mon, 13 Feb 2012 10:14:10 -0800

* Russell King - ARM Linux <[email-masked]> [120213 09:31]:
> On Mon, Feb 13, 2012 at 09:52:34AM -0800, Tony Lindgren wrote:
> > * Mark Brown <[email-masked]> [120213 08:25]:
> > > On Mon, Feb 13, 2012 at 04:52:09PM +0000, Russell King - ARM Linux wrote:
> > > 
> > > > I think OMAP (or even the reg-fixed-voltage folk) needs to create an enum
> > > > similar to what I did for 8250 to control the allocation of platform
> > > > device IDs for this, otherwise we're going to keep on running over this
> > > > problem.
> > > 
> > > > Added Mark for his comment.
> > > 
> > > Hrm, seems slightly icky but the enum will work if we can decide how to
> > > add elements to the enum since it'll be easy to bloat a lot it if it's
> > > central.  It's tempting to suggest just using a random number to assign
> > > the IDs randomly rather than have a central registry but obviously
> > > there's no guarantees there.
> > 
> > Can't we just leave out the .id and have it automatically assigned?
> 
> Unfortunately, there's no such infrastructure in the driver model.

Hmm OK, -1 seems to be just used for name in platform_device_add().

Tony